Author Topic: Export Layout to Model  (Read 8709 times)

0 Members and 1 Guest are viewing this topic.

hmspe

  • Bull Frog
  • Posts: 362
Export Layout to Model
« on: August 25, 2009, 11:33:25 AM »
I'm having a problem with the Export Layout to Model command in Autocad 2010 when there are nested xrefs in the base drawing.  The drawings I'm working with were done in MEP and are far too large to post.  I'm pulling HVAC and plumbing equipment out of these drawings for insertion into my electrical drawings.  The Export Layout function was omitting the building base plans in the exported files.  I thought the solution would be to explode the xrefs before exporting, and I found the following by loucancilla in the autodesk forums.  It's been cleaned up a bit.
Code: [Select]
(defun c:bindex ( / CE SS EN BN BH BP)
  (setq CE (getvar "CMDECHO"))
  (setvar "CMDECHO" 0)
  (if (setq SS (ssget "X" '((0 . "INSERT"))))
    (progn                                                 ;Collect All Blocks
      (setq INDX 0 CNTR 0)                                 ;Initialize Index and counter
      (command "_.UNDO" "BE")                              ;Set UNDO Begining
      (repeat (sslength SS)                                ;Loop through selection set
        (setq EN (ssname SS INDX))                         ;get Entity name
        (setq BN (cdr(assoc 2 (entget EN))))               ;get Block Name
        (setq BH (cdr(assoc 5 (entget EN))))               ;get Block Hanmdle
        (if (setq BR (tblsearch "block" BN))
          (progn                                           ;get Block Table Definition
            (if (setq BP (cdr (assoc 1 BR)))
              (progn                                       ;get path association list. If exists the block is an XRef
                (command "_.-XREF" "B" (vl-filename-base BP))
                                                           ;Bind the Xref
                (command "_.EXPLODE" (handent BH))         ;Explode bound block based on Entity Handle, Entity name is not reliable
                (command "_.-PURGE" "B" (vl-filename-base BP) "N")
                                                           ;Purge Bound block Only
                (setq CNTR (1+ CNTR))                      ;Count bound blocks for user information.
              )
            )
          )
        )
        (setq INDX (1+ INDX))                              ;Index Counter
      );repeat
      ;(command "_.-PURGE" "B" "" "N")                     ;Purge Blocks Only All
      (command "_.UNDO" "E")                               ;Set UNDO Ending
    )
  )
  (setvar "CMDECHO" CE)
  (princ (strcat "\n" (itoa CNTR) " External References Bound and Exploded."))
  (princ)
)
On the file I'm working on there are 4 xrefs.  This works with 3 of the 4.  It binds the 4th, but does not explode it.  Apparently there is no dxf 1 code for the nested xref, so (handent BH) returns nil.  I can manually go into model space in the drawing and explode the nested xref.  My research turned up that there is a long-standing issue with the explode command in lisp, but no work-around.  Any help on how to get this working in lisp would be appreciated.

Martin
"Science is the belief in the ignorance of experts." - Richard Feynman

Spike Wilbury

  • Guest
Re: Export Layout to Model
« Reply #1 on: August 25, 2009, 11:45:22 AM »
Hi Martin,

Have you tried the command: -exporttoautocad

But maybe you will need to have MEP not sure...

KewlToyZ

  • Guest
Re: Export Layout to Model
« Reply #2 on: August 25, 2009, 03:24:25 PM »
Code: [Select]
(DEFUN c:aecb()
(vl-load-com)
;===========================================================================Turn off command line responses
(command "CMDECHO" 0)
;===========================================================================

(command "TILEMODE" 1)
(command "Zoom" "Extents")
(command "qsave")
(command "Undo" "Begin")

;======================================================================
(prompt "\n 2nd Pass Unlocking & Thawing all layers!")
(command "_.layer" "unlock" "*" "")
(command "_.layer" "t" "*" "")
(command "_.layer" "u" "*" "")

(prompt "\n Set Layer 0 as current Layer.")
(command "_.layer" "s" "0" "")

;======================================================================
(autoload "mkbylayer" '("mkbylayer"))
(c:mkbylayer)
;======================================================================
(princ "\n Setting all DimStyles ByLayer......")
(autoload "DS2BL" '("DS2BL"))
(c:DS2BL)
;======================================================================
(princ "\n All Possible Objects, DimStyles, Lines, Arrows, & Text set to ByLayer!!")


;======================================================================
;(prompt "\n Re-Load All XREF's as a precaution........")
;(autoload "rax" '("rax"))
;(c:rax)
;======================================================================
(princ "\n All XREF's Re-Loaded!!")

;======================================================================
(prompt "\n   XREF binding begins!")

(prompt "\n BINDTYPE set to Insert for all XREF's!")
  (command "BINDTYPE" 1)
;(autoload "XRB" '("XRB"))
;(c:XRB)

(autoload "XRBIND" '("XRBIND"))
(c:XRBIND)

;(prompt "\n Normal Detach of all XREF's not found!")
; (command "-xref" "Detach" "*")

;============================================== begin file name structure

(prompt "\n Detach All Image References.....")
(autoload "ix" '("ix"))
(c:ix)

;======================================================================
(princ "\n   Purging empty file entries.......")
(c:purgeall)
(princ "\n")
;(command "saveas" "2007" "" "y")
(princ "\n   File Purge Complete !!!!!!......")

;======================================================================
;(princ "\n Objects in audit phase. Please be patient......")
;(command "audit" "y")
;(command "qsave")


;============================================== begin file name structure
(setq myPath (getvar "DWGPREFIX"))
(princ "\n   Current File Path : ")
(princ myPath)
 
(setq myFile (getvar "DWGNAME"))
(princ "\n   Current File Name : ")
(princ myFile)
 
(princ "\n   Stripped File Name : ")
(setq strippedFile (vl-filename-base myFile))
(princ strippedFile)

(princ "\n   File suffix :")
(setq newSuffix (strcase "-AECB-Removed"))
(princ newSuffix)

(princ "\n   File Prefix :")
(setq newPrefix (strcase "Bound-"))
(princ newPrefix)

(princ "\n   File Extension :")
(setq newExtension (strcase ".dwg"))
(princ newExtension)

(setq newName (strcat newPrefix strippedFile newSuffix newExtension))
(princ "\n   New file name : ")
(princ newName)

(setq newFile (strcat myPath newName))
(princ "\n   New file to Open :\n")
(princ newFile)


(princ "\n   continue to Export.....\n")

(alert "\n *-----------------------AEC Objects will be removed.--------------------------*
\n 1.) XREF's will be bound, If they are not found they will be detached.
\n 2.) You will find your file with the Prefix 'Bound-' \n     & The Suffix '-AEC-Removed' added to the filename.
\n 3.) Over-write the orginal files with the new one to clear the problematic objects.
\n 4.) File will be opened once export is complete.
\n 5.) Make sure the original file is closed so you can over write it."
)


(defun myExportOld()
(command "-exporttoautocad")
(command "Format" "2007")
(command "T")
(command "Insert")
;(command "Prefix" "")
;(command "Suffix" "-AECB-Removed")
(command "Bind" "Yes" "" newFile)
(princ)
)


(defun myExport()
(command "-exporttoautocad")
(command "Format" "2007")
(command "Prefix" "Bound-")
(command "Suffix" "-AECB-Removed")
(command "T")
(command "Insert")
(command "Bind" "Yes" "" "")
(princ)
)

;============================== AutoCAD 2007 =====================================
; ACADVER = "17.0s (LMS Tech)"
;(if (= (vlax-product-key) "Software\\Autodesk\\AutoCAD\\R17.0\\ACAD-5001:409")
(if (= (getvar "ACADVER") "17.0s (LMS Tech)")
(myExportOld)
(princ)
) ;End If


; ACADVER = "17.1s (LMS Tech)"
;============================== AutoCAD MEP 2008 =================================
; ACADVER = "17.2s (LMS Tech)"
;(if (= (vlax-product-key) "Software\\Autodesk\\AutoCAD\\R17.2\\ACAD-7006:409")
(if (= (getvar "ACADVER") "17.1s (LMS Tech)")
(myExportOld)
(princ)
) ;End If

;============================== AutoCAD MEP 2009 =================================
; ACADVER = "17.2s (LMS Tech)"
;(if (= (vlax-product-key) "Software\\Autodesk\\AutoCAD\\R17.2\\ACAD-7006:409")
(if (= (getvar "ACADVER") "17.2s (LMS Tech)")
(myExportOld)
(princ)
) ;End If

;============================== AutoCAD MEP Acad 2010 =================================
; ACADVER = "17.2s (LMS Tech)"
;(if (= (vlax-product-key) "Software\\Autodesk\\AutoCAD\\R17.2\\ACAD-7006:409")
(if (= (getvar "ACADVER") "18.0s (LMS Tech)")
(myExport)
(princ)
) ;End If

;============================== AutoCAD MEP 2010 =================================
; ACADVER = "17.2s (LMS Tech)"
;(if (= (vlax-product-key) "Software\\Autodesk\\AutoCAD\\R17.2\\ACAD-7006:409")
(if (= (getvar "ACADVER") "18.1s (LMS Tech)")
(myExport)
(princ)
) ;End If



;=================================== Undo & save to leave original file as found
(command "Undo" "End")
(command "Undo" "Back" "Y")
(command "saveas" "2007" "" "y")
;(command "qsave")
;===================================
(princ "\n   Locating New file to Open :\n")
(if (= (findfile newFile) nil)
(alert "\n Could not locate file.")
) ; end if

(defun OpenFile ()
(vla-open
(vla-get-documents
(vla-get-application (vlax-get-acad-object))
)
newFile
)
) ;_defun

(OpenFile)
(princ "\n   File open successful!!")
(command "close")
;===========================================================================Turn on command line responses
(setvar "CMDECHO" 1)
;===========================================================================
(princ)
)

Code: [Select]
;; Thanks to Lee Mac on TheSwamp
(defun c:purgeall ()
(princ "\n   File purge begin........")
(setq doc (vla-get-ActiveDocument
            (vlax-get-acad-object)))

(repeat 3 (vla-purgeall doc))
(princ "\n   File purge complete.")
(command "saveas" "2007" "" "y")
)

Matt__W

  • Seagull
  • Posts: 12955
  • I like my water diluted.
Re: Export Layout to Model
« Reply #3 on: August 25, 2009, 03:25:21 PM »
Are we talkin' 'bout the CHSPACE command here??   :?
Autodesk Expert Elite
Revit Subject Matter Expert (SME)
Owner/FAA sUAS Pilot @ http://skyviz.io

hmspe

  • Bull Frog
  • Posts: 362
Re: Export Layout to Model
« Reply #4 on: August 25, 2009, 05:29:10 PM »
Hi Martin,

Have you tried the command: -exporttoautocad

But maybe you will need to have MEP not sure...

Thanks for the suggestion.  I tried that.  The 6.3MB file turned into a 16.7MB file.  The background linework from the xrefs are visible in the file created by -exporttoautocad, but when I ran Export Layout to Model none of the background linework is visible in the model space file.

Martin
"Science is the belief in the ignorance of experts." - Richard Feynman

hmspe

  • Bull Frog
  • Posts: 362
Re: Export Layout to Model
« Reply #5 on: August 25, 2009, 05:30:29 PM »
Code: [Select]
(DEFUN c:aecb()
........
[/quote]

Thanks.  I'll look at this tonight.

Martin
"Science is the belief in the ignorance of experts." - Richard Feynman

hmspe

  • Bull Frog
  • Posts: 362
Re: Export Layout to Model
« Reply #6 on: August 25, 2009, 06:03:30 PM »
Are we talkin' 'bout the CHSPACE command here??   :?

Once upon a time I did the process manually, and yes, I used CHSPACE.  Not too bad to do if there is only one viewport in a layout, but it takes a while.  The Export Layout to Model function worked fairly well in 2009 and was faster and easier than the manual process.  They've tweaked it in 2010 and it's not so good.  Among other things the 2009 version scaled the drawings to match the models space scale.  The 2010 version does not.  Maybe scaling will be back in 2011....

Martin

"Science is the belief in the ignorance of experts." - Richard Feynman

KewlToyZ

  • Guest
Re: Export Layout to Model
« Reply #7 on: August 26, 2009, 09:26:23 AM »
Truthfully, -exporttoautocad leaving the XREF's intact will help purge down the file size and retain the layouts.
To be most effective though, you would likely have to run it on all of the XREF's, then bind them to get a truly smaller file size.
Maintaining a large volume of viewports and layouts could be why the size is significant as well.

aec_ & aecb_ content seriously bloats a file size.
I've had files go from 3MB to 300 KB

hmspe

  • Bull Frog
  • Posts: 362
Re: Export Layout to Model
« Reply #8 on: August 26, 2009, 11:46:57 AM »
Truthfully, -exporttoautocad leaving the XREF's intact will help purge down the file size and retain the layouts.
To be most effective though, you would likely have to run it on all of the XREF's, then bind them to get a truly smaller file size.
Maintaining a large volume of viewports and layouts could be why the size is significant as well.

aec_ & aecb_ content seriously bloats a file size.
I've had files go from 3MB to 300 KB

The file size change was just an observation.  File size really isn't an issue here because the files are temporary.  What I'm doing is extracting mechanical equipment locations and tags.  Sometimes we keep all or part of a background, but usually just equipment outlines and some text.  After we get the data we need the files can be deleted.  The issue is that we need a complete snapshot of the layout, and everything needs to be in one space.  If the floor plans are missing we have no alignment markers.  If the text is in paper space and the linework is in model space we have to handle them separately.  We work with many different consultants, and each one seems to have a different office standard for how their drawings are set up.  We've found it best to start with a full file that's model space only and erase whatever we don't need.
 
"Science is the belief in the ignorance of experts." - Richard Feynman

KewlToyZ

  • Guest
Re: Export Layout to Model
« Reply #9 on: August 26, 2009, 05:13:26 PM »
About the same thing we do.
I use these Export routines to create our backgrounds and automate as much as possible.
One of those things you want to click and go get a cup of coffee, come back, you have a background file.
Depends completely on how complex the project is though.
Including the original filename helps people a year or so later still find out how to update the project even if they didn't set it up.
Code: [Select]
;;; Create an exported Zbase-xref file from architectural files
(DEFUN c:zbx()
;====================================================================== Turn on command line responses
(setvar "CMDECHO" 0); DO NOT CHANGE THIS LINE
;======================================================================
;(alert "This routine creates an exported bound version of all the files in the directory you select!")

(command "TILEMODE" 1)
(command "Zoom" "Extents")
(command "Undo" "Begin")
;======================================================================
(autoload "zxv" '("zxv"))
(c:ZXV)

;====================================================================== Delete Page Setups & Set Plot Style to KTA.ctb
(prompt "\n   Delete Old Page Setups !!!")
(autoload "dps" '("dps"))
(c:dps)
(princ "\n   All Layouts Deleted!")
(princ)

;======================================================================

(prompt "\n Detach All Image References.....")
(autoload "ix" '("ix"))
(c:ix)

;======================================================================

(princ "\n   Standard KTA drawing variables initiated!!")
(command "-style" "Standard" "archquik.shx" "0" "1" "0" "No" "No")
(princ "\n   Archquik.shx is the Standard font!")
(princ)
;====================================================================== Control Line Scaling
(command "PSLTSCALE" 0)
(command "MSLTSCALE" 0)
;======================================================================
(princ "\n   MSpace & PSpace LTScale Varaibles set to 0!! \n Defaults to LTSCALE settings now!")
(princ)

;====================================================================== Layer setups for backgrounds
(prompt "\n   Thawing and Showing all layers.")
(command "layer" "t" "*" "on" "*" "u" "*" "")
(command "Zoom" "Extents")
(command "regenall")

;======================================================================
(prompt "\n   XREF binding begins!")

(prompt "\n   BINDTYPE set to Insert for all XREF's!")
    (command "BINDTYPE" 1)
;(autoload "XRB" '("XRB"))
;(c:XRB)

(autoload "XRBIND" '("XRBIND"))
(c:XRBIND)
;======================================================================
;(prompt "\n   Re-Load All XREF's as a precaution........")
;(autoload "rax" '("rax"))
;(c:rax)
;======================================================================
(princ "\n   All XREF's Re-Loaded!!")

;======================================================================

(prompt "\n   Set Layer 0 as current Layer.")
(command "_.layer" "s" "0" "")

;======================================================================
(autoload "repair" '("repair"))
(c:repair)
;======================================================================
(princ "\n   Standard KTA drawing variables Loaded!!")


;======================================================================
(princ "\n   Setting All Objects & Entities to ByLayer!!!!!!")
(command "setbylayer" "all" "" "yes" "yes")
(command "chprop" "all" "" "c" "bylayer" "")

(autoload "mkbylayer" '("mkbylayer"))
(c:mkbylayer)

;======================================================================
(princ "\n   Setting all DimStyles ByLayer......")
(autoload "DS2BL" '("DS2BL"))
(c:DS2BL)
;======================================================================
(princ "\n   All Possible Objects, DimStyles, Lines, Arrows, & Text set to ByLayer!!")


;====================================================================== Layer setups for backgrounds

(autoload "MAKE8" '("MAKE8"))
(c:MAKE8)
(prompt "\n   All Layers Made Color 8 Grey !!!")

(command "_.layer" "c" "7" "DEFPOINTS" "")
(prompt "\n   Layer Defpoints Color is White!")

(autoload "hatch19" '("hatch19"))
(c:HATCH19)

(autoload "LRD" '("LRD"))
(c:LRD)
(alert "\n All KTA NCS Layer names (if present) set to proper colors & descriptions!!!")
;(autoload "8" '("8"))
;(c:8)

;(autoload "19" '("19"))
;(c:19)

;======================================================================
(command "regenall")
(prompt "\n   Layer colors completed !!!")



;======================================================================
(prompt "\n   Setting All 3-D Items to zero height in Z-Axis!!! ---Please be patient---")
(defun z-zero (/ a ss len e o10 l10 n10 f o11 l11 n11 o39 n39)
(setq a 0)
(princ "\n   Changes entities' z-coordinate to 0 (2D from 3D)." )
(setq ss (ssget "_X" ))
(setq len (sslength ss))
(repeat len
(setq e (entget (ssname ss a)))
(setq o10 (assoc 10 e))
(setq l10 (list (cadr (assoc 10 e)) (caddr (assoc 10 e)) 0.0))
(setq n10 (cons 10 l10))
(setq f (subst n10 o10 e))
(entmod f)
(setq a (1+ a))
);end repeat

(setq a 0)
(repeat len
(setq e (entget (ssname ss a)))
(setq o11 (assoc 11 e))
(setq l11 (list (cadr (assoc 11 e)) (caddr (assoc 11 e)) 0.0))
(setq n11 (cons 11 l11))
(setq f (subst n11 o11 e))
(entmod f)
(setq a (1+ a))
);end repeat

(setq a 0)
(repeat len
(setq e (entget (ssname ss a)))
(setq o39 (assoc 39 e))
(setq n39 (cons 39 0))
(setq f (subst n39 o39 e))
(entmod f)
(setq a (1+ a))
);end repeat

)
;======================================================================
(z-zero)
;======================================================================


;(prompt "\n Normal Detach of all XREF's not found!")
; (command "-xref" "Detach" "*")

;(prompt "\n Selecting ALL Object's!")
(command "SELECT" "ALL" "")
 
;(prompt "\n Exploding New Blocks of these XREF Object's!")
; (command "EXPLODE" "LAST" "")


;======================================================================
;(princ "\n   Objects in audit phase. Please be patient......")
;(command "audit" "y")
;(command "qsave")

;======================================================================
(princ "\n   Purging empty file entries.......")
(c:purgeall)
(princ "\n")
;(command "saveas" "2007" "" "y")
(princ "\n   File Purge Complete !!!!!!......")

;============================================== begin file name structure
(setq myPath (getvar "DWGPREFIX"))
(princ "\n   Current File Path : ")
(princ myPath)
 
(setq myFile (getvar "DWGNAME"))
(princ "\n   Current File Name : ")
(princ myFile)
 
(princ "\n   Stripped File Name : ")
(setq strippedFile (vl-filename-base myFile))
(princ strippedFile)

(princ "\n   File Prefix :")
(setq newPrefix (strcase "ZBaseBND-"))
(princ newPrefix)

(princ "\n   File Extension :")
(setq newExtension (strcase ".dwg"))
(princ newExtension)

(setq newName (strcat newPrefix strippedFile newExtension))
(princ "\n   New file name : ")
(princ newName)

(setq newFile (strcat myPath newName))
(princ "\n   New file to Open :\n")
(princ newFile)


(princ "\n   continue to Export.....\n")

(alert "
\n *-----------------------    AEC Objects will be removed.    --------------------------*
\n 1.) XREF's have been bound.
\n 2.) You will find your file with the 'ZBaseBND-' as the prefix in the filename.
\n 3.) File will be opened for you after clicking OK and export is complete.
\n 4.) You have just made a KTA Bound XREF for project use.
\n 5.) You may need to Burst the XREF's that are now Blocks in the file.
\n 6.) Cleanup any unnecessary items.
\n 7.) If MTEXT Objects have not adopted KTA's background colors, \n     run the StripMText command. Follow the prompts.
\n 8.) Use the MKB command to fix any other colors not 8 or 19.
\n 9.) This file will undo all changes before saving and closing."
)


;========================================== Begin Export Function
;(command "-exporttoautocad")
;(command "Format" "2007")
;(command "Prefix" "ZBaseBND-")
;(command "Suffix" ".")
;(command "T")
;(command "Insert")
;(command "Bind" "Yes" "" "")

(defun myExport07()
(princ "\n   Begin 2007 -ExportToAutoCAD functions :\n")
(command "-exporttoautocad")
(command "Format" "2007")
(command "T")
(command "Insert")
(command "Prefix" "ZBaseBND-")
;(command "Suffix" ".")
(command "Bind" "Yes" "" "")
(princ)
)

(defun myExport08()
(princ "\n   Begin 2008 -ExportToAutoCAD functions :\n")
(command "-exporttoautocad")
(command "Format" "2007")
(command "T")
(command "Insert")
(command "Prefix" "ZBaseBND-")
;(command "Suffix" ".")
(command "Bind" "Yes" "" "")
(princ)
)

(defun myExport()
(princ "\n   Begin 2010 -ExportToAutoCAD functions :\n")
(command "-exporttoautocad")
(command "Format" "2007")
(command "Prefix" "ZbaseBND-")
(command "Suffix" ".")
(command "T")
(command "Insert")
(command "Bind" "Yes" "" "")
(princ)
)
;============================== AutoCAD 2007 =====================================
; ACADVER = "17.0s (LMS Tech)"
;(if (= (vlax-product-key) "Software\\Autodesk\\AutoCAD\\R17.0\\ACAD-5001:409")
(if (= (getvar "ACADVER") "17.0s (LMS Tech)")
(myExport07)
(princ)
) ;End If


; ACADVER = "17.1s (LMS Tech)"
;============================== AutoCAD MEP 2008 =================================
; ACADVER = "17.2s (LMS Tech)"
;(if (= (vlax-product-key) "Software\\Autodesk\\AutoCAD\\R17.2\\ACAD-7006:409")
(if (= (getvar "ACADVER") "17.1s (LMS Tech)")
(myExport08)
(princ)
) ;End If

;============================== AutoCAD MEP 2009 =================================
; ACADVER = "17.2s (LMS Tech)"
;(if (= (vlax-product-key) "Software\\Autodesk\\AutoCAD\\R17.2\\ACAD-7006:409")
(if (= (getvar "ACADVER") "17.2s (LMS Tech)")
(myExport)
(princ)
) ;End If

;============================== AutoCAD MEP Acad 2010 =================================
; ACADVER = "17.2s (LMS Tech)"
;(if (= (vlax-product-key) "Software\\Autodesk\\AutoCAD\\R17.2\\ACAD-7006:409")
(if (= (getvar "ACADVER") "18.0s (LMS Tech)")
(myExport)
(princ)
) ;End If

;============================== AutoCAD MEP 2010 =================================
; ACADVER = "17.2s (LMS Tech)"
;(if (= (vlax-product-key) "Software\\Autodesk\\AutoCAD\\R17.2\\ACAD-7006:409")
(if (= (getvar "ACADVER") "18.1s (LMS Tech)")
(myExport)
(princ)
) ;End If




;=================================== Undo & save to leave original file as found

(princ "\n   Begin to return file to original state :\n")
(command "Undo" "End")
(command "Undo" "Back" "Y")
(command "saveas" "2007" "" "y")
;(command "qsave")
;===================================
(princ "\n   Locating New file to Open :\n")
(if (= (findfile newFile) nil)
(alert "\n Could not locate file.")
) ; end if

(defun OpenFile ()
(vla-open
(vla-get-documents
(vla-get-application (vlax-get-acad-object))
)
newFile
)
) ;_defun

(OpenFile)
;====================================================================== Turn on command line responses
(setvar "CMDECHO" 1); DO NOT CHANGE THIS LINE
;======================================================================

(princ "\n   File open successful!!")
(command "close")
)
« Last Edit: August 26, 2009, 05:17:49 PM by KewlToyZ »

hmspe

  • Bull Frog
  • Posts: 362
Re: Export Layout to Model
« Reply #10 on: August 26, 2009, 09:44:08 PM »
Thanks.
"Science is the belief in the ignorance of experts." - Richard Feynman